Subject: [P2PSIP] New Draft: ASP - a binary p2p protocol

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 02 Jul 2007 10:38:50 -0400

Ekr, Cullen and I have just submitted a new I-D, which you can find here:
http://www.ietf.org/internet-drafts/draft-jennings-p2psip-asp-00.txt

This draft proposes a binary peer protocol called ASP - Address 
Settlement by Peer-to-Peer. Its rough in places but we tried to focus on 
a few areas that we felt were important in the design of a p2p protocol:

* security model
* layering
* notion of 'usages' and data types that can be added to the protocol
* NAT traversal - how to allow peers to act as STUN/TURN servers, and 
how to store and find them in the DHT, and how to use ICE to establish 
sip and p2p connectivity
* what it means to have pluggable DHT and what the API looks like
* how to do message forwarding with a focus on performance
* how to handle protocol extensibility

Questions and comments are welcome of course.

Thanks,
Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
Cisco Fellow                                   Parsippany, NJ 07054-2711
Cisco Systems
[email-masked]                              FAX:   (973) 952-5050
http://www.jdrosen.net                         PHONE: (973) 952-5000
http://www.cisco.com

_______________________________________________
P2PSIP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/p2psip